-- SETTINGS PLAY FATALITY SOUND
function GoH_Settings_MenuButton_PlayFatalitySound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fatality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT MUSIC
function GoH_Settings_MenuButton_PlayFightMusic_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "YES"
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT SOUND
function GoH_Settings_MenuButton_PlayFightSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fight_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY OPEN AND CLOSE MENU SOUNDS
function GoH_Settings_MenuButton_PlayOpenAndCloseSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "YES"
	    	PlaySoundFile("Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_Special02.wav","Master")
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end


-- DEATH KNIGHT SPELL TAUNT: DEATH GRIP
function GoH_Settings_MenuButton_PlayEveryManForHimself_OnClick()
	    if GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == "NO" then
	    	GoHv5_DeathKnight_Data.config.Every_Man_For_Himself = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\You_Are_Nothing_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Every_Man_For_Himself = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end


-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DEATH KNIGHT SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DEATH KNIGHT MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Settings_Set_Menu_Button_Images()

	-- ###################################################################################################
	-- PLAY FIGHT SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FATALITY_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fatality_Sound_Text:SetText("|cFF00AA00Play 'Fatality!' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FATALITY_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fatality_Sound_Text:SetText("|cFFFF0000Play 'Fatality!' Sound|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fight_Sound_Text:SetText("|cFF00AA00Play 'Fight!' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fight_Sound_Text:SetText("|cFFFF0000Play 'Fight!' Sound|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT MUSIC
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fight_Music_Text:SetText("|cFF00AA00Play 'Fight!' Music|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fight_Music_Text:SetText("|cFFFF0000Play 'Fight!' Music|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY OPEN AND CLOSE MENU SOUNDS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Open_and_Close_Sounds_Text:SetText("|cFF00AA00Play 'Menu' Sounds|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Open_and_Close_Sounds_Text:SetText("|cFFFF0000Play 'Menu' Sounds|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- HUMAN RACIAL - EVERY MAN FOR HIMSELF
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetHighlightTexture(Human_Every_Man_For_Himself_Icon);
	GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetPushedTexture(Human_Every_Man_For_Himself_Icon);
	GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetNormalTexture(Human_Every_Man_For_Himself_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_HumanRacial_Sound_Text:SetText("|cFF00AA00" .. Human_Every_Man_For_Himself_Name .. "|r");
		-- MODIFY THE TOOLTIP
		HumanRacial_EveryManForHimself_Tooltip = ("|cFFFF0000" .. "Disable " .. Human_Every_Man_For_Himself_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_HumanRacial_Sound_Text:SetText("|cFFFF0000" .. Human_Every_Man_For_Himself_Name .. "|r");
		-- MODIFY THE TOOLTIP
		HumanRacial_EveryManForHimself_Tooltip = ("|cFF00AA00" .. "Enable " .. Human_Every_Man_For_Himself_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT HUMAN
	if GoH_DeathKnight.Race == "Human" then
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Show();
		Settings_Play_HumanRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Hide();
		Settings_Play_HumanRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################

end


