-- #######################################
-- #######################################
--       GOH DEATH KNIGHT EVENT LOG
-- #######################################
-- #######################################


function GoH_DeathKnight.events.COMBAT_LOG_EVENT_UNFILTERED(timestamp, event, hideCaster, sourceGUID, sourceName, sourceFlags, sourceFlags2, destGUID, destName, destFlags, destFlags2, ...)

  -- ###########################################################################################################
  -- SINCE THESE ARE LOCAL, YOU CAN RE-USE THE SAME NAMES IN OTHER GOH CLASS MODS AND DON'T HAVE TO CHANGE THEM.
  -- ###########################################################################################################
  local GoH_spellID, GoH_spellName, GoH_all_spellSchool, GoH_amount, GoH_overkill, GoH_school, GoH_resisted, GoH_blocked, GoH_absorbed, GoH_critical = ...

	-- DEATH KNIGHT: DEATH GRIP
	if (GoH_spellID == 49576) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		Play_Random_DEATHGRIP_Sound();
	end

        -- DEATH KNIGHT: HORN OF WINTER
	if (GoH_spellID == 57330) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\HornOfWinter_Begins_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: DEATH AND DECAY
	if (GoH_spellID == 43265) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\StealthDetected_Sonar.mp3","Master");
	end

        -- DEATH KNIGHT: PESTILENCE
	if (GoH_spellID == 50842) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\I_See_You_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: OUTBREAK
	if (GoH_spellID == 77575) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Thats_Enough_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: BLOOD TAP
	if (GoH_spellID == 45529) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\CThun\\CThunYouWillDie.Wav","Master");
	end

        -- DEATH KNIGHT: DEATH COIL
	if (GoH_spellID == 47541) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil.mp3","Master");
	end

        -- DEATH KNIGHT: EMPOWER RUNE WEAPON
	if (GoH_spellID == 47568) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\LichKing\\IC_Lich King_FMAttack01.wav","Master");
	end

        -- DEATH KNIGHT: BLOOD PRESENCE
	if (GoH_spellID == 48263) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Blood_Craze_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: FROST PRESENCE
	if (GoH_spellID == 48266) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\FreezingFog_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: UNHOLY PRESENCE
	if (GoH_spellID == 48265) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\HolyPower_1.mp3","Master");
	end

        -- DEATH KNIGHT: ANTI-MAGIC SHELL
	if (GoH_spellID == 48707) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Camouflage.mp3","Master");
	end

        -- DEATH KNIGHT: ICEBOUND FORTITUDE
	if (GoH_spellID == 48792) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\IceboundFortitude_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: STRANGULATE
	if (GoH_spellID == 47476) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav","Master");
	end

        -- DEATH KNIGHT: MIND FREEZE
	if (GoH_spellID == 47528) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav","Master");
	end

        -- DEATH KNIGHT: SUMMON GARGOYLE
	if (GoH_spellID == 49206) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\SummonGargoyle_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: ARMY OF THE DEAD
	if (GoH_spellID == 42650) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: DEATH PACT
	if (GoH_spellID == 48743) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Pact_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: DARK TRANSFORMATION
	if (GoH_spellID == 63560) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Dark_Transformation_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: UNHOLY FRENZY
	if (GoH_spellID == 49016) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Slaughter_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: BLOOD BOIL
	if (GoH_spellID == 48721) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Toasty_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

         -- DEATH KNIGHT: ANTI-MAGIC ZONE
	if (GoH_spellID == 51052) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Under_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

         -- DEATH KNIGHT: DARK COMMAND
	if (GoH_spellID == 56222) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.wav","Master");
	end

         -- DEATH KNIGHT: BONE SHIELD
	if (GoH_spellID == 49222) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\BoneShield_Begins_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

        -- DEATH KNIGHT: UNHOLY BLIGHT
	if (GoH_spellID == 115989) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: CHAINS OF ICE
	if (GoH_spellID == 45524) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: DARK SIMULATION
	if (GoH_spellID == 77606) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\All_Too_Easy_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: ICY TOUCH
	if (GoH_spellID == 45477) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Critical_1.mp3","Master");
	end

	   -- DEATH KNIGHT: PATH OF FROST
	if (GoH_spellID == 3714) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: DANCEING RUNE WEPON
	if (GoH_spellID == 49028) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

	   -- DEATH KNIGHT: ASPHYXIATE
	if (GoH_spellID == 108194) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Cower_Before_Me_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

	   -- HUMAN RACIAL: EVERY MAN FOR HIMSELF
	if GoHv5_DeathKnight_Data.config.Death_Grip == "YES" then
		if GoH_DeathKnight.Race == "Human" then
			if (GoH_spellID == 59752) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\You_Are_Nothing_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
			end
		end
	end

	    -- DEATH KNIGHT: DEATHS ADVANCE
	if (GoH_spellID == 96268) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav","Master");
	end

	   -- DEATH KNIGHT: REMOURSELESS WINTER
	if (GoH_spellID == 108200) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\FreezingFog_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

	   	-- DEATH KNIGHT: GORFIENDS GRASP
	if (GoH_spellID == 108199) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		Play_Random_DEATHGRIP_Sound();
	end

	   	-- DEATH KNIGHT: RAISE DEAD
	if (GoH_spellName == DeathKnight_Raise_Dead_Name) and (event == "SPELL_SUMMON") and (sourceName == GoH_DeathKnight.CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\RaiseDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

end

-- #######################################
-- #######################################
-- PLAYER ENTER COMBAT SOUNDS
-- #######################################
-- #######################################
function GoH_DeathKnight.events.PLAYER_REGEN_DISABLED()

	if GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "YES" then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fight_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	end

		-- #######################################
		-- #######################################

		if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "YES" then

			-- PLAY FIGHTING MUSIC
				-- CALL RANDOM MATH GENERATOR
				GoH_DeathKnight.NumberRandom = math.random(10);

				-- USE RANDOM MATH GENERATED RESULT

				if (GoH_DeathKnight.NumberRandom == 1) then

					PlayMusic("Interface\\AddOns\\GoH\\Music\\Mortal Kombat beatbox remix by MrWonderspyder.mp3");

				elseif (GoH_DeathKnight.NumberRandom ~= 1) then

					PlayMusic("Interface\\AddOns\\GoH\\Music\\Mortal Kombat remix by HybridTech.mp3");

				end

		end

		-- #######################################
		-- #######################################

end



-- #######################################
-- #######################################
-- PLAYER LEAVE COMBAT SOUNDS
-- #######################################
-- #######################################
function GoH_DeathKnight.events.PLAYER_REGEN_ENABLED()

	if GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == "YES" then

		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fatality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

	end


		-- #######################################
		-- #######################################

		if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "YES" then

			-- STOP FIGHTING MUSIC
				StopMusic();
		end

		-- #######################################
		-- #######################################
end


function GoH_DeathKnight.events.PLAYER_LOGIN()

			local playerClass, EngClass = UnitClass("player");
			GoH_DeathKnight.Class = EngClass;
			GoHv5_DeathKnight_Data.config.LoggedInAsClass = GoH_DeathKnight.Class;
			-- print(GoHv5_DeathKnight_Data.config.LoggedInAsClass)


			if (GoH_DeathKnight.Class == "DEATHKNIGHT") then
				if GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "YES"then

					-- PLAY YOUR SOUND
					PlaySoundFile("Sound\\Creature\\LichKing\\EH_LichKing_Irritated1.wav","Master");

				end
			end
end

